Bug 105215 - FILEOPEN: DOCX: Incorrect font size in btlr text
Summary: FILEOPEN: DOCX: Incorrect font size in btlr text
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, filter:docx, implementationError
Depends on:
Blocks: DOCX-Tables Text-Direction-Unification
  Show dependency treegraph
 
Reported: 2017-01-09 18:40 UTC by Xisco Faulí
Modified: 2020-05-10 12:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (19.86 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-01-09 18:40 UTC, Xisco Faulí
Details
bad display (71.71 KB, application/pdf)
2017-01-09 18:43 UTC, Xisco Faulí
Details
good display (71.71 KB, application/pdf)
2017-01-09 18:44 UTC, Xisco Faulí
Details
Screenshot of the example file in current master and the "good pdf" (1.03 MB, image/png)
2020-03-10 23:11 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-01-09 18:40:28 UTC
Created attachment 130282 [details]
sample

Steps:
1. Open attached document

Observed behaviour: Vertical text is displayed incorrectly

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 9a30cb2161506e003f14592d83075ab9d30516c1
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-01-09 18:42:46 UTC
Regression introduced by:

author	Michael Stahl <mstahl@redhat.com>	2014-07-29 20:21:53 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2014-07-29 20:32:00 (GMT)
commit	5893a7536a0bbce57c4a2f89680dcb4cff3d06d7 (patch)
tree	c9cb22e9e0c292f3d6e313eca30d4c6d62fe9d04
parent	bdca067382285f4cadad2e13cfffd9c24e3f4bb5 (diff)
fdo#81384: writerfilter: turn the horrible btLr cell text dir hack
... by 5 degrees to starboard, which lets the row in the bugdoc appear,
altough the height is a bit insufficient still.  Why that works, is a
nautic mystery to me, i'd say this whole btLr emulation nonsense needs
to be keel-hauled, but after this patch i'll need some rum, arrrr...

(regression from commit 0208ead70a9412ccd554fcef3e9308f8ca17037b
 and commit 970160f78ef6cc7abacfa252daa8451e1f0117bb)

Adding Cc: to Michael Stahl
Comment 2 Xisco Faulí 2017-01-09 18:43:54 UTC
Created attachment 130283 [details]
bad display

how it looks at 5893a7536a0bbce57c4a2f89680dcb4cff3d06d7
Comment 3 Xisco Faulí 2017-01-09 18:44:34 UTC
Created attachment 130285 [details]
good display

How it looks at 2a87b3b5aed8296a7506374fd5324c5659a88cb5
Comment 4 QA Administrators 2018-01-10 03:32:19 UTC Comment hidden (obsolete)
Comment 5 Timur 2018-01-10 08:02:56 UTC
Repro in 6.1+
Comment 6 Gabor Kelemen 2020-03-10 23:11:13 UTC
Created attachment 158582 [details]
Screenshot of the example file in current master and the "good pdf"

The BTLR part is fixed now after bug #128880 in:

Version: 7.0.0.0.alpha0+
Build ID: 1842276ed4785ff5198bdbc4ce6fe752315c8657
CPU threads: 16; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded

The font size is acting weird in the first cell: "DAFO CAMPOFRIO" should be 18pt but its only 8pt. 
This is a new regression, the font size was good in bibisect-linux-64-6.4

Version: 6.4.1.0.0+
Build ID: 678e00d2251060b562f295a5fb3c0215b12c8042
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Xisco Faulí 2020-03-11 09:50:13 UTC
Actually the original issue reported here ( problem with vertical text ) was fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=8fdbda18b593e7014e44a0fd590bbf98d83258b7 in LibreOffice 6.3. Later on, the text disappeared in https://cgit.freedesktop.org/libreoffice/core/commit/?id=435ab51ec8920033b7865f27f4afee8a852a0b31 ( bug 128880 ) and the font was fine up to that moment. Recently bug 128880 was fixed in 
https://git.libreoffice.org/core/commit/74f0105a2c140d078932576b457a327f3d2490a6 and the font problem is already happening. Adapting the description.

Adding Cc: to Miklos Vajna
Comment 8 Gabor Kelemen 2020-03-11 22:04:23 UTC
The font size change is not related to the BTLR work.

It is possible to highlight all the content of this top left cell, then select Table properties from the popup menu.
After that on the Text Flow page the Text orientation box is in indeterminate state, but changing to Horizontal makes the text appear with "varying" font size.
This was 18pt at the top of the uptodate bibisect-linux-64-6.4 but started to change to 8pt in bibisect-linux-64-6.5 at:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2ab481b038b62b1ff576ac4d49d03c1798cd7f84

author	László Németh <nemeth@numbertext.org>	2020-01-08 14:26:40 +0100
committer	László Németh <nemeth@numbertext.org>	2020-01-09 18:00:16 +0100

tdf#90069 DOCX: fix character style of new table rows
Comment 9 Miklos Vajna 2020-03-12 08:16:42 UTC
Thanks. So this is rather an implementation error in the docx table style improvements, adjusting keywords accordingly.
Comment 10 Commit Notification 2020-03-19 09:39:15 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5ac6f02fdc6015a5d78071570dee310febf95fc6

tdf#105215 DOCX import: fix paragraph-length direct formatting

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 BogdanB 2020-05-10 12:27:24 UTC
Everything ok.
Verified on
Version: 6.4.3.2
Build ID: libreoffice-6.4.3.2-snap1
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Also on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded